{
    attributes = (
        {
            columnName = "GGRP_KEY_1"; 
            externalType = NUMBER; 
            name = ggrpKey1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GGRP_KEY_2"; 
            externalType = NUMBER; 
            name = ggrpKey2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (ggrpKey1, ggrpKey2); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolGroupeIncompatibilite"; 
    classProperties = ("toFwkScolarite_ScolGroupeGrp1", "toFwkScolarite_ScolGroupeGrp2"); 
    externalName = "SCOLARITE.SCOL_GROUPE_INCOMPATIBILITE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolGroupeIncompatibilite"; 
    }; 
    name = "FwkScolarite_ScolGroupeIncompatibilite"; 
    primaryKeyAttributes = (ggrpKey1, ggrpKey2); 
    relationships = (
        {
            destination = "FwkScolarite_ScolGroupeGrp"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ggrpKey; sourceAttribute = ggrpKey1; }); 
            name = "toFwkScolarite_ScolGroupeGrp1"; 
        }, 
        {
            destination = "FwkScolarite_ScolGroupeGrp"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ggrpKey; sourceAttribute = ggrpKey2; }); 
            name = "toFwkScolarite_ScolGroupeGrp2"; 
        }
    ); 
}
